package org.bitbucket.kienerj.moleculedatabaseframework;

/*
 *  Copyright (C) 2012 Joos Kiener <Joos.Kiener@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.

 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Frameworks base exception
 * 
 * <p>
 * All other exceptions extend MoleculeDatabaseFrameworkException. If possible,
 * MoleculeDatabaseFramework wraps checked exception in a <code>  
 * MoleculeDatabaseFrameworkException></code>.
 * </p>
 * @author Joos Kiener <Joos.Kiener@gmail.com>
 */
public class MoleculeDatabaseFrameworkException extends RuntimeException {

    public MoleculeDatabaseFrameworkException(String message, Throwable cause) {
        super(message, cause);
    }

    public MoleculeDatabaseFrameworkException(String message) {
        super(message);
    }

    public MoleculeDatabaseFrameworkException(Throwable cause) {
        super(cause);
    }
}
